Subject: Re: [PATCH net v2 0/2] pv6: fix sticky pktinfo behaviour

From: Hannes Frederic Sowa <[email-masked]>
Date: Fri, 29 Jan 2016 13:36:09 +0100

On 29.01.2016 12:30, Paolo Abeni wrote:
> The kernel has never enforced the egress interface specified
> via the sticky pktinfo, except briefly between the commits
> 741a11d9e410 ("net: ipv6: Add RT6_LOOKUP_F_IFACE flag if oif is set")
> and
> d46a9d678e4c ("net: ipv6: Dont add RT6_LOOKUP_F_IFACE flag if saddr set"),
> but the ping6 tools was unaffected up to iputils-20100214,
> since before it used SO_BINDTODEVICE to enforce the egress
> interface.

I think because of the bad situation in terms of uapi and that recently 
behavior switched multiple times in kernel and iputils, enforcing the 
outgoing interface seems to be the right thing to do for me.

Also it matches expected behavior by ping6. Treating the interface as 
enforced is from a standards PoV the correct thing to do.

Thanks,
Hannes